<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="myUserLabel" jhiTranslate="userManagement.home.createOrEditLabel">Benutzer erstellen oder bearbeiten</h2>

      <jhi-alert-error></jhi-alert-error>

      <div class="mb-3" [hidden]="!editForm.value.id">
        <label class="form-label" for="field_id" jhiTranslate="global.field.id">ID</label>
        <input type="text" id="field_id" class="form-control" name="id" formControlName="id" readonly />
      </div>

      <div class="mb-3">
        <label class="form-label" for="field_login" jhiTranslate="userManagement.login">Login</label>
        <input type="text" id="field_login" class="form-control" name="login" formControlName="login" />

        @if (editForm.get('login')!.invalid && (editForm.get('login')!.dirty || editForm.get('login')!.touched)) {
          <div>
            @if (editForm.get('login')?.errors?.required) {
              <small class="form-text text-danger" jhiTranslate="entity.validation.required">Dieses Feld wird benötigt.</small>
            }

            @if (editForm.get('login')?.errors?.maxlength) {
              <small class="form-text text-danger" jhiTranslate="entity.validation.maxlength" [translateValues]="{ max: '50' }"
                >Dieses Feld darf max. 50 Zeichen lang sein.</small
              >
            }

            @if (editForm.get('login')?.errors?.pattern) {
              <small class="form-text text-danger" jhiTranslate="entity.validation.patternLogin"
                >Dieses Feld darf nur Buchstaben, Ziffern und E-Mail-Adressen enthalten.</small
              >
            }
          </div>
        }
      </div>

      <div class="mb-3">
        <label class="form-label" for="field_firstName" jhiTranslate="userManagement.firstName">Vorname</label>
        <input type="text" id="field_firstName" class="form-control" name="firstName" formControlName="firstName" />

        @if (editForm.get('firstName')!.invalid && (editForm.get('firstName')!.dirty || editForm.get('firstName')!.touched)) {
          <div>
            @if (editForm.get('firstName')?.errors?.maxlength) {
              <small class="form-text text-danger" jhiTranslate="entity.validation.maxlength" [translateValues]="{ max: '50' }"
                >Dieses Feld darf max. 50 Zeichen lang sein.</small
              >
            }
          </div>
        }
      </div>

      <div class="mb-3">
        <label class="form-label" for="field_lastName" jhiTranslate="userManagement.lastName">Nachname</label>
        <input type="text" id="field_lastName" class="form-control" name="lastName" formControlName="lastName" />

        @if (editForm.get('lastName')!.invalid && (editForm.get('lastName')!.dirty || editForm.get('lastName')!.touched)) {
          <div>
            @if (editForm.get('lastName')?.errors?.maxlength) {
              <small class="form-text text-danger" jhiTranslate="entity.validation.maxlength" [translateValues]="{ max: '50' }"
                >Dieses Feld darf max. 50 Zeichen lang sein.</small
              >
            }
          </div>
        }
      </div>

      <div class="mb-3">
        <label class="form-label" for="field_email" jhiTranslate="userManagement.email">Email</label>
        <input type="email" id="field_email" class="form-control" name="email" formControlName="email" />

        @if (editForm.get('email')!.invalid && (editForm.get('email')!.dirty || editForm.get('email')!.touched)) {
          <div>
            @if (editForm.get('email')?.errors?.required) {
              <small class="form-text text-danger" jhiTranslate="entity.validation.required">Dieses Feld wird benötigt.</small>
            }

            @if (editForm.get('email')?.errors?.maxlength) {
              <small class="form-text text-danger" jhiTranslate="entity.validation.maxlength" [translateValues]="{ max: '100' }"
                >Dieses Feld darf max. 100 Zeichen lang sein.</small
              >
            }

            @if (editForm.get('email')?.errors?.minlength) {
              <small class="form-text text-danger" jhiTranslate="entity.validation.minlength" [translateValues]="{ min: '5' }"
                >Dieses Feld muss mind. 5 Zeichen lang sein.</small
              >
            }

            @if (editForm.get('email')?.errors?.email) {
              <small class="form-text text-danger" jhiTranslate="global.messages.validate.email.invalid"
                >Ihre Email Adresse ist ungültig.</small
              >
            }
          </div>
        }
      </div>

      <div class="form-check">
        <label class="form-check-label" for="activated">
          <input
            class="form-check-input"
            [attr.disabled]="editForm.value.id === undefined ? 'disabled' : null"
            type="checkbox"
            id="activated"
            name="activated"
            formControlName="activated"
          />
          <span jhiTranslate="userManagement.activated">Aktiv</span>
        </label>
      </div>

      @if (languages && languages.length > 0) {
        <div class="mb-3">
          <label class="form-label" for="langKey" jhiTranslate="userManagement.langKey">Sprache</label>
          <select class="form-control" id="langKey" name="langKey" formControlName="langKey">
            @for (language of languages; track $index) {
              <option [value]="language">{{ language | findLanguageFromKey }}</option>
            }
          </select>
        </div>
      }

      <div class="mb-3">
        <label class="form-label" for="field_authority" jhiTranslate="userManagement.profiles">Profile</label>
        <select class="form-control" id="field_authority" multiple name="authority" formControlName="authorities">
          @for (authority of authorities(); track $index) {
            <option [value]="authority">{{ authority }}</option>
          }
        </select>
      </div>
      <button type="button" class="btn btn-secondary" (click)="previousState()">
        <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Abbrechen</span>
      </button>

      <button type="submit" [disabled]="editForm.invalid || isSaving()" class="btn btn-primary">
        <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Speichern</span>
      </button>
    </form>
  </div>
</div>
